function [genchk,cmap,plottype,nbcol,bright,xlimmin,xlimmax,ylimmin,ylimmax,zlimmin,zlimmax,gridx,gridy,gridz,boxplot]=chkvis(handles,chkload1,chkload2,radio1,radio2,cond2chk)

if (chkload1==0 && radio1==1 && isempty(cond2chk))
    genchk=0;
    msgbox({'No data available!' 'Please upload data or select example problem.'},'Error #020');
elseif (chkload1==0 && radio2==1 && isempty(cond2chk))
    genchk=0;
    msgbox('Neither data nor results are available!','Error #021');
elseif (strcmp(chkload2,'off') && radio2==1 && isempty(cond2chk))
    genchk=0;
    msgbox({'No results available!' 'Please perform the analysis first.'},'Error #022');
else
    genchk=1;
    cmaps=get(handles.popupmenu9,'String');
    cmap=cmaps{get(handles.popupmenu9,'Value')};
    plottypes=get(handles.popupmenu10,'String');
    plottype=plottypes{get(handles.popupmenu10,'Value')};
    nbcol=get(handles.edit8,'String');
    bright=get(handles.edit9,'String');
    xlimmin=get(handles.edit10,'String');
    xlimmax=get(handles.edit11,'String');
    ylimmin=get(handles.edit12,'String');
    ylimmax=get(handles.edit13,'String');
    zlimmin=get(handles.edit14,'String');
    zlimmax=get(handles.edit15,'String');
    gridx=get(handles.checkbox17,'Value');
    gridy=get(handles.checkbox18,'Value');
    gridz=get(handles.checkbox19,'Value');
    boxplot=get(handles.checkbox20,'Value');
end